namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "superpower")]
public class Superpower : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        EventBatchId eventBatch = new();
        move.User.ChangeStatBoost(Statistic.Attack, -1, true, false, eventBatch);
        move.User.ChangeStatBoost(Statistic.Defense, -1, true, false, eventBatch);
    }
}